<p>Ispisne memorije možemo upotrijebiti za ostvarivanje Booleovih funkcija na način da
   kao podatke pamtimo tablice istinitosti željenih funkcija a na adresne ulaze memorije
   dovedemo varijable o kojima ovisi funkcija.
</p>

<p>Jedan takav primjer prikazan je u nastavku, gdje je ispisna memorija iskorištena kako bi 
   istovremeno realizirala 3 Booleove funkcije: f1(A,B) = A I B, f2(A,B) = A ILI B te f3(A,B) = A XOR B. 
   Kako memorija mora ostvarivati tri Booleove funkcije, svaka memorijska riječ (podatak na 
   memorijskoj lokaciji) pamti tri bita. Na dva adresna ulaza dovedene su izravno varijable A i B. 
   Na podatkovnom izlazu D2 dobiva se vrijednost funkcije f1, na izlazu D1 vrijednost funkcije f2 te na 
   izlazu D0 vrijednost funkcije f3. Isprobajte mijenjati vrijednosti varijabli A i B (klikanjem na
   zasivljene pločice) i uvjerite se da se na izlazu memorije (prikazanom na dnu kodera) doista dobivaju
   tražene vrijednosti.
</p>

<script>
@#page-include#(canvasActRegUtil.js)
@#page-include#(numbersUtil.js)
@#page-include#(coderDecoder.js)
</script>

<div style="text-align: center; margin-top: 15px; margin-bottom: 15px;">
<canvas id="myCanvas1" width="320" height="200" oncontextmenu="return false;"></canvas><br>
Organizacija ispisne memorije kao kombinacija dekodera i kodera.
</div>

<script>
    new KoderDekoder(2, 3, "myCanvas1", null, [
        [0,0,0],
        [0,1,1],
        [0,1,1],
        [1,1,0]
      ], true, true, ["A", "B"], ["f1","f2","f3"], 10);
</script>

<p>Vidite li kako smo podatke upisali u memoriju? S obzirom da se promjenom vrijednosti
   varijabli A i B zapravo mijenja odabrana memorijska lokacija, vrijednost funkcije
   (krajnji redak tablice istinitosti) popisali smo vertikalno po adresama uz isti 
   podatkovni izlaz. Tako je izlazni stupac tablice istinitosti za A I B (što je 0,0,0,1) 
   upisan po svim adresama na mjestu bita D2, izlazni stupac tablice istinitosti za 
   A ILI B (što je 0,1,1,1) upisan je po svim adresama na mjestu bita D1 a izlazni stupac 
   tablice istinitosti za A XOR B (što je 0,1,1,0) upisan je po svim adresama na mjestu 
   bita D0.
</p>

<p>U nastavku slijedi zadatak koji će Vam pomoći da utvrdite jeste li savladali upravo
   izloženo.</p>

